CHCPU(8)

NUME
chcpu - configurează CPU-urile

REZUMAT

chcpu -c|-d|-e|-g listă-cpu

chcpu -p mod

chcpu -r|-h|-V

DESCRIERE

chcpu poate modifica starea procesoarelor. Acesta poate activa sau dezactiva procesoarele, poate căuta noi procesoare, poate schimba modul de distribuire a procesoarelor din hipervizorul subiacent și poate solicita procesoare de la hipervizor (configurare) sau poate returna procesoarele către hipervizor (deconfigurare).

Unele opțiuni au un argument cpu-list. Utilizați acest argument pentru a specifica o listă de procesoare separate prin virgule. Lista poate conține adrese individuale de CPU sau intervale de adrese. De exemplu, 0,5,7,7,9-11 face ca această comandă să se aplice la procesoarele cu adresele 0, 5, 7, 9, 10 și 11.

OPȚIUNI

-c, --configure listă-cpu
    Configurează procesoarele specificate. Configurarea unui CPU înseamnă că hipervizorul ia un CPU din grupul de CPU-uri și îl atribuie hardware-ului virtual pe care rulează nucleul dumneavoastră.

-d, --disable listă-cpu
    Dezactivează procesoarele specificate. Dezactivarea unui CPU înseamnă că nucleul îl pune în modul neconectat.

-e, --enable listă-cpu
    Activează procesoarele specificate. Activarea unui CPU înseamnă că nucleul îl pune în modul conectat. Un CPU trebuie să fie configurat, a se vedea -c, înainte de a putea fi activat.

-g, --deconfigure listă-cpu
    Deconfigurează procesoarele specificate. Deconfigurarea unui procesor înseamnă că hipervizorul elimină procesorul din hardware-ul virtual pe care rulează instanța Linux și îl returnează în grupul de procesoare. Un CPU trebuie să fie în modul neconectat, consultați -d, înainte de a putea fi deconfigurat.

    chcpu -g nu este acceptat pe IBM z/VM, CPU-urile sunt întotdeauna într-o stare configurată.

    dacă chcpu -g este acceptată, toate procesoarele dezactivate ar trebui deconfigurate pentru a informa hipervizorul că aceste procesoare nu vor fi utilizate, evitând eventualele penalizări de performanță.

-p, --dispatch mod
    Stabilește modul de distribuire a CPU (polarizare). Această opțiune are efect numai dacă arhitectura hardware și hipervizorul dumneavoastră acceptă polarizarea CPU. Modurile mod disponibile sunt:

    horizontal
        Sarcina de lucru este repartizată pe toate procesoarele disponibile.

    vertical
        Sarcina de lucru este concentrată pe câteva procesoare.

-r, --rescan
    Declanșează o rescanare a procesoarelor. După o rescanare, nucleul Linux recunoaște noile procesoare. Utilizați această opțiune pe sistemele care nu detectează automat procesoarele nou atașate.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

chcpu are următoarele valori de stare de ieșire:

0
    succes

1
    eșec

64
    succes parțial

AUTORI

DREPTURI DE AUTOR

Drepturi de autor IBM Corp. 2011

CONSULTAȚI ȘI

lscpu(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda chcpu face parte din pachetul util-linux care poate fi descărcat de la